package com.bcxin.tenant.open.domains.repositories;

import com.bcxin.tenant.open.domains.criterias.RdSecurityStationRailCriteria;
import com.bcxin.tenant.open.domains.entities.RdSecurityStationRailEntity;
import com.bcxin.tenant.open.infrastructures.EntityCollection;
import com.bcxin.tenant.open.infrastructures.repositories.RepositoryBase;

import java.util.Collection;

public interface RdSecurityStationRailRepository  extends RepositoryBase<RdSecurityStationRailEntity> {
    void insert(RdSecurityStationRailEntity data);

    void update(RdSecurityStationRailEntity data);

    Collection<RdSecurityStationRailEntity> search(RdSecurityStationRailCriteria criteria);

    Collection<RdSecurityStationRailEntity> getValidRails(Collection<String> stationIds);
}
